import * as react_jsx_runtime from 'react/jsx-runtime';
import { CSSProperties } from 'react';

/**
 * The LeftNotch component is used to render the left notch of the message box.
 * @param notchStyle The notchStyle is a CSSProperties and optional.
 * @param focus The focus is a boolean and optional.
 * @constructor
 */
declare const LeftNotch: ({ size, style, focus, }: {
    size?: number;
    style?: CSSProperties;
    focus?: boolean;
}) => react_jsx_runtime.JSX.Element;

export { LeftNotch };
