import {
  LetterAvatar
} from "./chunk-WOIPPLMY.mjs";
import {
  __objRest,
  __spreadValues
} from "./chunk-YUVL7GHC.mjs";

// src/Avatar/Avatar.tsx
import classNames from "classnames";
import { jsx, jsxs } from "react/jsx-runtime";
var Avatar = (_a) => {
  var _b = _a, {
    size = "default",
    rounded = true
  } = _b, props = __objRest(_b, [
    "size",
    "rounded"
  ]);
  return /* @__PURE__ */ jsxs(
    "div",
    {
      className: classNames(
        "rce-avatar-container",
        size,
        props == null ? void 0 : props.className,
        rounded && "rounded"
      ),
      style: props == null ? void 0 : props.style,
      children: [
        props.letterItem || !(props == null ? void 0 : props.src) ? /* @__PURE__ */ jsx(LetterAvatar, __spreadValues({}, props)) : /* @__PURE__ */ jsx(
          "img",
          {
            loading: "lazy",
            alt: props == null ? void 0 : props.alt,
            src: props.src,
            className: "rce-avatar"
          }
        ),
        props == null ? void 0 : props.sideElement
      ]
    }
  );
};
var Avatar_default = Avatar;

export {
  Avatar_default
};
