import {
  icons_default
} from "./chunk-XRUCZPSK.mjs";

// src/SvgIcon/leftNotch.tsx
import classNames from "classnames";
import { jsx } from "react/jsx-runtime";
var LeftNotch = ({
  size = 20,
  style = {},
  focus = false
}) => {
  return /* @__PURE__ */ jsx(
    icons_default,
    {
      style,
      className: classNames("rce-mbox-left-notch", {
        "message-focus": focus
      }),
      size,
      children: /* @__PURE__ */ jsx("path", { d: `M${size} 0v${size}L0 0` })
    }
  );
};

export {
  LeftNotch
};
