// src/MessageBox/MessageStatus.tsx
import { MdAccessTime, MdCheck, MdDoneAll } from "react-icons/md";
import { jsx, jsxs } from "react/jsx-runtime";
function MessageStatus({ status }) {
  return /* @__PURE__ */ jsxs("span", { className: "rce-mbox-status", children: [
    status === "waiting" && /* @__PURE__ */ jsx(
      MdAccessTime,
      {
        color: "var(--rce-color-gray)",
        style: { fontSize: 18 }
      }
    ),
    status === "sent" && /* @__PURE__ */ jsx(
      MdCheck,
      {
        color: "var(--rce-color-light-blue)",
        style: { fontSize: 18 }
      }
    ),
    status === "received" && /* @__PURE__ */ jsx(MdDoneAll, { color: "var(--rce-color-green)", style: { fontSize: 18 } }),
    status === "read" && /* @__PURE__ */ jsx(
      MdDoneAll,
      {
        color: "var(--rce-color-light-blue)",
        style: { fontSize: 18 }
      }
    )
  ] });
}

export {
  MessageStatus
};
