import {
  getAvatar,
  getRandomColor,
  require_dist,
  token
} from "./chunk-EV7AFHZX.mjs";
import {
  SideBar_default
} from "./chunk-MJF4UILB.mjs";
import {
  ChatList_default
} from "./chunk-FVFFZUB3.mjs";
import {
  __toESM
} from "./chunk-YUVL7GHC.mjs";

// src/stories/example/components/Side.tsx
var import_lorem_ipsum = __toESM(require_dist());
import { BsListTask } from "react-icons/bs";
import { jsx, jsxs } from "react/jsx-runtime";
var Test = /* @__PURE__ */ jsxs(
  "div",
  {
    className: "rce-citem-body--bottom-status-icon",
    onClick: (e) => console.log(e, "clicked"),
    onKeyDown: console.log,
    children: [
      /* @__PURE__ */ jsx(
        "span",
        {
          style: {
            fontSize: "10px",
            position: "absolute",
            padding: "2px",
            right: "-12px",
            top: "-6px",
            color: "white",
            borderRadius: "100%",
            width: "12px",
            height: "12px",
            textAlign: "center"
          },
          children: Math.ceil(Math.random() * 9) + 1
        }
      ),
      /* @__PURE__ */ jsx(BsListTask, {})
    ]
  }
);
var getUserItem = () => ({
  avatar: token(2) > 1 ? getAvatar() : void 0,
  avatarFlexible: true,
  statusColor: ["green", "red", getRandomColor()][token(10) - 1],
  alt: (0, import_lorem_ipsum.loremIpsum)({ count: 2, units: "words" }),
  title: (0, import_lorem_ipsum.loremIpsum)({ count: 2, units: "words" }),
  subtitle: (0, import_lorem_ipsum.loremIpsum)({ count: 1, units: "sentences" }),
  date: /* @__PURE__ */ new Date(),
  unread: token(2) - 1,
  muted: token(2) < 1,
  showMute: token(2) < 1,
  showVideoCall: token(2) < 1,
  customStatusComponents: [Test]
});
var buildUsersList = (count = 8) => {
  return Array.from({ length: count }).map(
    () => getUserItem()
  );
};
function Side(props) {
  return /* @__PURE__ */ jsx(
    SideBar_default,
    {
      style: {
        width: "300px",
        padding: "0"
      },
      top: /* @__PURE__ */ jsx(ChatList_default, { dataSource: props.dataSource })
    }
  );
}
var Side_default = Side;

export {
  buildUsersList,
  Side_default
};
