"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/MessageBox/MessageStatus.tsx
var MessageStatus_exports = {};
__export(MessageStatus_exports, {
  MessageStatus: () => MessageStatus
});
module.exports = __toCommonJS(MessageStatus_exports);
var import_md = require("react-icons/md");
var import_jsx_runtime = require("react/jsx-runtime");
function MessageStatus({ status }) {
  return /* @__PURE__ */ (0, import_jsx_runtime.jsxs)("span", { className: "rce-mbox-status", children: [
    status === "waiting" && /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
      import_md.MdAccessTime,
      {
        color: "var(--rce-color-gray)",
        style: { fontSize: 18 }
      }
    ),
    status === "sent" && /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
      import_md.MdCheck,
      {
        color: "var(--rce-color-light-blue)",
        style: { fontSize: 18 }
      }
    ),
    status === "received" && /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_md.MdDoneAll, { color: "var(--rce-color-green)", style: { fontSize: 18 } }),
    status === "read" && /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
      import_md.MdDoneAll,
      {
        color: "var(--rce-color-light-blue)",
        style: { fontSize: 18 }
      }
    )
  ] });
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  MessageStatus
});
