import {
  Button_default
} from "./chunk-63HD37UK.mjs";
import {
  __objRest,
  __spreadProps,
  __spreadValues
} from "./chunk-YUVL7GHC.mjs";

// src/Dropdown/Dropdown.tsx
import { useState } from "react";
import classNames from "classnames";
import { jsx, jsxs } from "react/jsx-runtime";
var Dropdown = (_a) => {
  var _b = _a, {
    animationPosition = "northwest",
    animationType = "default",
    style = {}
  } = _b, props = __objRest(_b, [
    "animationPosition",
    "animationType",
    "style"
  ]);
  var _a2;
  const [show, setShow] = useState(false);
  const onBlur = () => {
    if (show) {
      console.log("blur");
      setShow(false);
    }
  };
  return /* @__PURE__ */ jsxs(
    "div",
    {
      className: classNames("rce-dropdown-container", props.className),
      onBlur,
      children: [
        /* @__PURE__ */ jsx(Button_default, __spreadProps(__spreadValues({}, props.buttonProps), { onClick: (e) => setShow(!show) })),
        /* @__PURE__ */ jsx(
          "div",
          {
            className: classNames(
              "rce-dropdown",
              animationType,
              `rce-dropdown-open__${animationPosition}`,
              { "dropdown-hide": !show },
              { "dropdown-show": show }
            ),
            style,
            children: /* @__PURE__ */ jsxs("ul", { children: [
              props.title && /* @__PURE__ */ jsx("span", { className: "rce-dropdown-title", children: props.title }),
              (_a2 = props.items) == null ? void 0 : _a2.map((x, i) => {
                var _a3;
                return /* @__PURE__ */ jsx(
                  "li",
                  {
                    onMouseDown: (e) => props.onSelect instanceof Function ? props.onSelect(e, i) : void 0,
                    children: typeof x !== "string" ? x.icon ? /* @__PURE__ */ jsxs("span", { className: "rce-button-icon--container", children: [
                      (x.icon.float === "right" || !x.icon.float) && /* @__PURE__ */ jsx(Button_default, __spreadValues({}, x)),
                      /* @__PURE__ */ jsx(
                        "span",
                        {
                          style: {
                            float: (_a3 = x.icon.float) != null ? _a3 : "inherit",
                            color: String(x.icon.color) || "inherit",
                            fontSize: Number(x.icon.size) || 12
                          },
                          className: classNames(
                            "rce-button-icon",
                            x.icon.className
                          ),
                          children: x.icon.component
                        }
                      ),
                      x.icon.float === "left" && /* @__PURE__ */ jsx("button", { type: "button", className: "rce-button link", children: x.text })
                    ] }) : /* @__PURE__ */ jsx("button", { type: "button", className: "rce-button link", children: x.text }) : /* @__PURE__ */ jsx("button", { type: "button", className: "rce-button link", children: x })
                  },
                  i.toString()
                );
              })
            ] })
          }
        )
      ]
    }
  );
};
var Dropdown_default = Dropdown;

export {
  Dropdown_default
};
