import {
  audioMessage,
  fileMessage,
  locationMessage,
  meetingLinkMessage,
  meetingMessage,
  photoMessage,
  systemMessage,
  textMessage,
  videoMessage
} from "./chunk-AFAMJZHX.mjs";
import {
  token
} from "./chunk-EV7AFHZX.mjs";

// src/stories/example/components/RandomMessage.tsx
var randomMessage = (type = "random", index = 0) => {
  let messageType = type;
  if (type === "random") {
    messageType = [
      "text",
      "photo",
      "file",
      "system",
      "location",
      "meeting",
      "video",
      "audio",
      "meetingLink"
    ][token(9) - 1];
  }
  switch (messageType) {
    case "photo":
      return photoMessage();
    case "file":
      return fileMessage();
    case "system":
      return systemMessage();
    case "location":
      return locationMessage();
    case "meeting":
      return meetingMessage();
    case "meetingLink":
      return meetingLinkMessage();
    case "video":
      return videoMessage();
    case "audio":
      return audioMessage();
    default:
      return textMessage();
  }
};

export {
  randomMessage
};
